> For the complete documentation index, see [llms.txt](https://docs.bless.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bless.net/blessnet-api/account-abstraction-platforms-platform-accounts-id.md).

# /account-abstraction/platforms/:platform/accounts/:id

## GET

{% hint style="info" %}
You need an API key for this call.\
\
Please reach out to the Blessnet team to get setup.
{% endhint %}

<mark style="color:green;">`GET`</mark>` ``/account-abstraction/platforms/:platform/accounts/:id`

The `/account-abstraction/platforms/:platform/accounts/:id` endpoint returns details of a platform linked smart account, e.g. a smart account used through telegram.

### **Headers**

| Name        | Value        |
| ----------- | ------------ |
| `x-api-key` | Your API key |

### **Path Variables**

<table><thead><tr><th width="215">Name</th><th width="130">Mandatory?</th><th width="119">Default</th><th>Value</th></tr></thead><tbody><tr><td><code>:platform</code></td><td>Yes</td><td></td><td>The platform, e.g. telegram.</td></tr><tr><td><code>:id</code></td><td>Yes</td><td></td><td>The user Id for that platform.</td></tr></tbody></table>

### **Params**

<table><thead><tr><th width="192">Name</th><th width="130">Mandatory?</th><th width="119">Default</th><th>Value</th></tr></thead><tbody><tr><td><code>chain</code></td><td>No</td><td><code>mainnet</code></td><td>The chain type we are working with, either <code>mainnet</code> or <code>sepolia</code></td></tr></tbody></table>

### **Response Body**

<table><thead><tr><th width="247">Name</th><th width="114">Type</th><th width="389">Description</th></tr></thead><tbody><tr><td><code>account</code></td><td><code>string</code></td><td>The abstract account address for that platform and user Id combination.</td></tr><tr><td><code>exists</code></td><td><code>boolean</code></td><td>If this smart account has been created on-chain. As these use deterministic addresses we can always know the address for a given platform/user Id combination, but that doesn't mean it has been created.</td></tr><tr><td><code>hashedId</code></td><td><code>string</code></td><td>A one-way encrypted hash of the user Id used when creating the smart account.</td></tr></tbody></table>

### **Example Request**

<pre><code><strong>GET https://api.bless.net/account-abstraction/platforms/telegram/accounts/123456789?chain=sepolia
</strong></code></pre>

### **Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "account": "0xf82d6E8cBC32AE33C84FE0487bc48A22fA697afC",
    "exists": true,
    "hashedId": "0x4e2eedab529456da71ba89b1a6196b983b4b128fc506e8400d4113cef5bcc7b6"
}
```

{% endtab %}
{% endtabs %}

##

* schema:&#x20;

  * `type: array`&#x20;

  ```postman_json
  {
    "funding": <amount to fund the account with in wei>
    "ops": [
      {
        "account": <the account the operations is for>,
        "target": <the address target for the call>,
        "calldata": <the calldata to pass to the target>,
      }
    ]
  }
  ```
* description: An array of valid operations.

### **Response Body**

| Name                 | Type     | Description                                                               |
| -------------------- | -------- | ------------------------------------------------------------------------- |
| `message`            | `string` | Message response from the endpoint                                        |
| `requestOwner`       | `array`  | The owner of the API key that made the operation request.                 |
| `for`                | `array`  | Array of operations requested, with account, target and calldata for each |
| `destinationChain`   | `number` | The target chain for the operation                                        |
| `creationDeliveryId` | string   | Unique Id for the creation of the account                                 |
| `deliveryId`         | `string` | Unique Id for the execution of the operation.                             |

### **Example Request**

```
POST /account-abstraction/platforms/telegram/account/30035?chain=sepolia HTTP/1.1
Host: api.bless.net
x-api-key: <>
Content-Type: application/json
Content-Length: 763

{
  "ops": [
    {
      "account": "0xa8C46f79c72DbfE885e54b5527002c515F860875",
      "target": "0x4995423334127293b31d8c810Bb183809f82Be55",
      "calldata": "0x62a61351000000000000000000000000a8C46f79c72DbfE885e54b5527002c515F860875000000000000000000000000000000000000000000000000000000000000000500000000000000000000000000000000000000000000000000000000000000a0000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000"
    }
  ]
}
```

### **Response**

{% tabs %}
{% tab title="201" %}

```json
{
    "message": "Ops requested",
    "requestOwner": "omnus",
    "for": [
        {
            "account": "0xa8C46f79c72DbfE885e54b5527002c515F860875",
            "target": "0x4995423334127293b31d8c810Bb183809f82Be55",
            "calldata": "0x62a61351000000000000000000000000a8C46f79c72DbfE885e54b5527002c515F860875000000000000000000000000000000000000000000000000000000000000000500000000000000000000000000000000000000000000000000000000000000a0000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000"
        }
    ],
    "destinationChain": 11145513,
    "deliveryId": "67c8c05d179b8cbc49505f4e"
}
```

{% endtab %}

{% tab title="400" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bless.net/blessnet-api/account-abstraction-platforms-platform-accounts-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
